%define anolis_release 1
%global pypi_name nltk
%global pypi_version 3.8.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %{anolis_release}%{?dist}
Summary:        Natural Language Toolkit

License:        Apache License, Version 2.0
URL:            https://www.nltk.org/
Source0:        %{pypi_source %{pypi_name} %{version} zip}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(joblib)
BuildRequires:  python3dist(matplotlib)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pyparsing)
BuildRequires:  python3dist(regex) >= 2021.8.3
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(scikit-learn)
BuildRequires:  python3dist(scipy)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tqdm)

%description
The Natural Language Toolkit (NLTK) is a Python package for natural language
processing. 

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(click)
Requires:       python3dist(joblib)
Requires:       python3dist(matplotlib)
Requires:       python3dist(numpy)
Requires:       python3dist(pyparsing)
Requires:       python3dist(regex) >= 2021.8.3
Requires:       python3dist(requests)
Requires:       python3dist(scikit-learn)
Requires:       python3dist(scipy)
Requires:       python3dist(tqdm)

%description -n python3-%{pypi_name}
The Natural Language Toolkit (NLTK) is a Python package for natural language
processing.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

# skip import test, as import nltk.book requires online corpus data download

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.md
%{_bindir}/nltk

%changelog
* Tue Jan 23 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 3.8.1-1
- Initial package.